//		Copyright © 1997	Jens Kilian
//
//		This program is free software; you can redistribute it and/or modify
//		it under the terms of the GNU General Public License as published by
//		the Free Software Foundation; either version 1, or (at your option)
//		any later version.
//
//		This program is distributed in the hope that it will be useful,
//		but WITHOUT ANY WARRANTY; without even the implied warranty of
//		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
//		GNU General Public License for more details.
//
//		You should have received a copy of the GNU General Public License
//		along with this program; if not, write to the Free Software
//		Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef _BitmapMenuItem_h
#define _BitmapMenuItem_h

#include <Bitmap.h>
#include <MenuItem.h>

class BitmapMenuItem : public BMenuItem {
public:
	typedef BMenuItem inherited;
	
	// Constructor, destructor.
	BitmapMenuItem(BBitmap *pLabel, BMenu *pMenu);
	virtual ~BitmapMenuItem(void);
	
protected:
	// Hook functions.
	virtual void GetContentSize(float *pWidth, float *pHeight);
	virtual void DrawContent(void);

private:
	BitmapMenuItem(const BitmapMenuItem &);
	BitmapMenuItem &operator =(const BitmapMenuItem &);

	BBitmap *mpLabel;
};

#endif // _BitmapMenuItem_h
